#ifndef BAT_H
#define BAT_H

class Bat {
	private:
		float x, y;
		float speed;
		int w, h;
		int upKey, downKey;
		int oldX, oldY;
		bool aiEnabled;

	public:
		Bat(int x, int y, int w, int h, int speed, int upKey, int downKey);

		void bat_move(int modifier);
		void bat_update(Uint8* keystates, Uint32 clr);
		void bat_speed(int newSpeed);
		void bat_resize(int w, int h);
		void set_ai(bool newStatus);
		
		int x_pos();
		int y_pos();

		bool ai_enabled();
} ;


#endif