#ifndef BALL_H
#define BALL_H

#include "timer.h"

class Ball {
	private:
		int w, h;
		int startDelay;
		Timer goTimer;
		
		float x, y;
		float angle, speed;
		bool bounceTarget, bounceBot;

	public:
		Ball(int w, int h);

		void restart();
		void update(Uint8* keystates);
		int x_pos();
		int y_pos();
		float give_angle();
		float give_speed();
		bool give_bounce_target();
} ;

#endif