#ifndef CONSTANTS_H
#define CONSTANTS_H

const int SCR_WIDTH = 500;
const int SCR_HEIGHT = 400;
const int SCR_BPP = 32;
const int FRAMES_PER_SECOND = 60;
const bool FPS_CAP = true;

const int BAT_HEIGHT = 70;
const int BAT_WIDTH = 10;
const float BAT_SPEED = 5;

const bool BALL_BOUNCE_P1 = true;
const bool BALL_BOUNCE_P2 = false;
const int BALL_WIDTH = 15;
const int BALL_HEIGHT = 15;
const int BALL_TRAIL_LENGTH = 22;

const double RAD_TO_DEG = 57.2957795;
const double DEG_TO_RAD = 0.0174532925;

const int DASH_AMOUNT = 21;
const int DASH_WIDTH = 12;

const int FADE_STEP = 35;

#endif