#ifndef FUNCTIONS_H
#define FUNCTIONS_H

void putpixel(SDL_Surface *surface, int x, int y, Uint32 pixel);
void getpixel(SDL_Surface *surface, int x, int y);

void apply_surface(SDL_Surface* src, SDL_Surface* dst, int x, int y);

void fade_screen(int ballX, int ballY, int radius);
void draw_field();

bool rect_intersect(SDL_Rect* rect1, SDL_Rect* rect2);

float calc_angle(SDL_Rect* rect1, SDL_Rect* rect2);

#endif