#include "SDL.h"
#include "SDL_ttf.h"

#include "globals.h"
#include "constants.h"
#include "bat.h"
#include "ball.h"
#include "score.h"

SDL_Event event;
Uint8* keystates = NULL;

SDL_Surface* screen = NULL;
SDL_Surface* imageBallAngle = NULL;
SDL_Surface* tSurface = NULL;

SDL_Color clrGreenSDL;

TTF_Font* scoreFont = NULL;
TTF_Font* defaultFont = NULL;

Uint32 clrWhite = NULL;
Uint32 clrBlack = NULL;
Uint32 clrGreen = NULL;

int mouseX;
int mouseY;

Bat p1Bat(30, 100, BAT_WIDTH, BAT_HEIGHT, BAT_SPEED, SDLK_w, SDLK_s);
Bat p2Bat(SCR_WIDTH - BAT_WIDTH - 30, 100, BAT_WIDTH, BAT_HEIGHT, BAT_SPEED, SDLK_i, SDLK_k);

Ball ball(BALL_WIDTH, BALL_HEIGHT);

Score score;