#ifndef GLOBALS_H
#define GLOBALS_H

#include "SDL.h"
#include "SDL_ttf.h"

#include "constants.h"
#include "bat.h"
#include "ball.h"
#include "score.h"

extern SDL_Event event;
extern Uint8* keystates;

extern SDL_Surface* screen;
extern SDL_Surface* imageBallAngle;
extern SDL_Surface* tSurface;

extern SDL_Color clrGreenSDL;

extern TTF_Font* scoreFont;
extern TTF_Font* defaultFont;

extern Uint32 clrWhite;
extern Uint32 clrBlack;
extern Uint32 clrGreen;

extern int mouseX;
extern int mouseY;

extern Bat p1Bat;
extern Bat p2Bat;

extern Ball ball;

extern Score score;

#endif